<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx_queue Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>tivx_queue Struct Reference<br/>
<small>
[<a class="el" href="group__group__tivx__queue.html">Queue APIs</a>]</small>
</h1><!-- doxytag: class="tivx_queue" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>Typedef for a queue. </p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__queue.html#a35ad6a90e017ca0400ff889e6a1a945f">cur_rd</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__queue.html#a3448fad95c3935ea3e2df36ec9f546ea">cur_wr</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__queue.html#af0939d45094884ff5103d74b8b94263c">count</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__queue.html#ae822a8207e3f93650a362941a80d3de7">max_ele</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__queue.html#adfd38a9dbe00045dfa57b386360e38c9">queue</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__group__tivx__event.html#ga514eff6364ee72cf3a07ded0a7cd17b0">tivx_event</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__queue.html#aef27d621b4712cee42014f7bdbd85cb6">block_rd</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__group__tivx__event.html#ga514eff6364ee72cf3a07ded0a7cd17b0">tivx_event</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__queue.html#aeafca819e65716771dc7261a2aa68f87">block_wr</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__group__tivx__mutex.html#gaca8bf54b8519ecd4c6aa8368286bde45">tivx_mutex</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__queue.html#a5745579be2021958d718994524c2bd9a">lock</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__queue.html#a45d566b50cd15ded456cb1d234f700f5">context</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__queue.html#a9fef1d8c0169626e57b5b9f2e862eb0b">flags</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">volatile <a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__queue.html#a160652becb399febefd6083af65102a8">blockedOnGet</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">volatile <a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__queue.html#a31cf4509a299a7a65f6e019156fc32ed">blockedOnPut</a></td></tr>
</table>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="a35ad6a90e017ca0400ff889e6a1a945f"></a><!-- doxytag: member="tivx_queue::cur_rd" ref="a35ad6a90e017ca0400ff889e6a1a945f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__queue.html#a35ad6a90e017ca0400ff889e6a1a945f">tivx_queue::cur_rd</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Current read index </p>

</div>
</div>
<a class="anchor" id="a3448fad95c3935ea3e2df36ec9f546ea"></a><!-- doxytag: member="tivx_queue::cur_wr" ref="a3448fad95c3935ea3e2df36ec9f546ea" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__queue.html#a3448fad95c3935ea3e2df36ec9f546ea">tivx_queue::cur_wr</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Current write index </p>

</div>
</div>
<a class="anchor" id="af0939d45094884ff5103d74b8b94263c"></a><!-- doxytag: member="tivx_queue::count" ref="af0939d45094884ff5103d74b8b94263c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__queue.html#af0939d45094884ff5103d74b8b94263c">tivx_queue::count</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Count of element in queue </p>

</div>
</div>
<a class="anchor" id="ae822a8207e3f93650a362941a80d3de7"></a><!-- doxytag: member="tivx_queue::max_ele" ref="ae822a8207e3f93650a362941a80d3de7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__queue.html#ae822a8207e3f93650a362941a80d3de7">tivx_queue::max_ele</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Max elements that be present in the queue </p>

</div>
</div>
<a class="anchor" id="adfd38a9dbe00045dfa57b386360e38c9"></a><!-- doxytag: member="tivx_queue::queue" ref="adfd38a9dbe00045dfa57b386360e38c9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t* <a class="el" href="structtivx__queue.html#adfd38a9dbe00045dfa57b386360e38c9">tivx_queue::queue</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Address of data area of the queue elements </p>

</div>
</div>
<a class="anchor" id="aef27d621b4712cee42014f7bdbd85cb6"></a><!-- doxytag: member="tivx_queue::block_rd" ref="aef27d621b4712cee42014f7bdbd85cb6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__group__tivx__event.html#ga514eff6364ee72cf3a07ded0a7cd17b0">tivx_event</a> <a class="el" href="structtivx__queue.html#aef27d621b4712cee42014f7bdbd85cb6">tivx_queue::block_rd</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Read semaphore </p>

</div>
</div>
<a class="anchor" id="aeafca819e65716771dc7261a2aa68f87"></a><!-- doxytag: member="tivx_queue::block_wr" ref="aeafca819e65716771dc7261a2aa68f87" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__group__tivx__event.html#ga514eff6364ee72cf3a07ded0a7cd17b0">tivx_event</a> <a class="el" href="structtivx__queue.html#aeafca819e65716771dc7261a2aa68f87">tivx_queue::block_wr</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Write semaphore </p>

</div>
</div>
<a class="anchor" id="a5745579be2021958d718994524c2bd9a"></a><!-- doxytag: member="tivx_queue::lock" ref="a5745579be2021958d718994524c2bd9a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__group__tivx__mutex.html#gaca8bf54b8519ecd4c6aa8368286bde45">tivx_mutex</a> <a class="el" href="structtivx__queue.html#a5745579be2021958d718994524c2bd9a">tivx_queue::lock</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Queue lock semaphore </p>

</div>
</div>
<a class="anchor" id="a45d566b50cd15ded456cb1d234f700f5"></a><!-- doxytag: member="tivx_queue::context" ref="a45d566b50cd15ded456cb1d234f700f5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="structtivx__queue.html#a45d566b50cd15ded456cb1d234f700f5">tivx_queue::context</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Private context of queue handle </p>

</div>
</div>
<a class="anchor" id="a9fef1d8c0169626e57b5b9f2e862eb0b"></a><!-- doxytag: member="tivx_queue::flags" ref="a9fef1d8c0169626e57b5b9f2e862eb0b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__queue.html#a9fef1d8c0169626e57b5b9f2e862eb0b">tivx_queue::flags</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Controls how APIs behave internally, i.e blocking wait or non-blocking </p>

</div>
</div>
<a class="anchor" id="a160652becb399febefd6083af65102a8"></a><!-- doxytag: member="tivx_queue::blockedOnGet" ref="a160652becb399febefd6083af65102a8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">volatile <a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a> <a class="el" href="structtivx__queue.html#a160652becb399febefd6083af65102a8">tivx_queue::blockedOnGet</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Flag indicating queue is blocked on get operation </p>

</div>
</div>
<a class="anchor" id="a31cf4509a299a7a65f6e019156fc32ed"></a><!-- doxytag: member="tivx_queue::blockedOnPut" ref="a31cf4509a299a7a65f6e019156fc32ed" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">volatile <a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a> <a class="el" href="structtivx__queue.html#a31cf4509a299a7a65f6e019156fc32ed">tivx_queue::blockedOnPut</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Flag indicating queue is blocked on put operation </p>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
